[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreenNotification

Screen notification events and handler types.

## Declaration

Source position: forms.pp line 1112

`type TScreenNotification = (`
`snNewFormCreated,` |  | Indicates that a new form instance has been instantiated on a TScreen.
`snFormAdded,` |  | A form was added.
`snRemoveForm,` |  | A form was removed.
`snActiveControlChanged,` |  | The focus moved to another control.
`snActiveFormChanged,` |  | The focus moved to another form.
`snFormVisibleChanged` |  | The visibility of a form changed.
`);`

## Version info

Modified in LCL version 3.0 to include snNewFormCreated in the enumeration values.

## See also

TScreenFormEvent |  | Type used for a screen notification handler for form-related events.
TScreenControlEvent |  | Type for a screen notification handler used for control-related events.